.checkbox {
  display: flex;
  align-items: center;
  position: relative;
  padding-left: 26px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: pointer;

  &:before {
    content: '';
    position: absolute;
    left: 0;
    top: 2px;
    width: 16px;
    height: 16px;
    border: 2px solid $colorLightGreen;
    cursor: pointer;
  }

  input {
    position: absolute;
    left: 0px;
    top: 0;
    width: 1px;
    height: 1px;
    opacity: 0;
  }

  .checked {
    content: '';
    position: absolute;
    display: none;
    left: 6px;
    top: 5px;
    width: 5px;
    height: 8px;
    border: solid $colorLightGreen;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    cursor: pointer;
  }

  input:checked + .checked {
    display: block;
  }
}

.radio-button {
  position: relative;
  padding-left: 26px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: pointer;

  input {
    position: absolute;
    left: 0;
    top: 0;
    width: 1px;
    height: 1px;

    &:before {
      content: '';
      position: absolute;
      left: 0;
      top: 2px;
      width: 16px;
      height: 16px;
      border: 2px solid $colorLightGreen;
      border-radius: 50%;
      cursor: pointer;
    }

    &:after {
      content: '';
      position: absolute;
      display: none;
      left: 5px;
      top: 7px;
      width: 6px;
      height: 6px;
      background-color: $colorLightGreen;
      border-radius: 50%;
      cursor: pointer;
    }
  }

  input:checked:after {
    display: block;
  }
}


